Recipients for Marketplace
Reverse Transfer Onboarding
Reverse a completed onboarding transfer back to its original recipient
POST
/
recipients
/
onboardings
/
reverse-transfer
/
{transfer_id}
cURL
curl --request POST \
--url https://api-sandbox.y.uno/v1/recipients/onboardings/reverse-transfer/{transfer_id} \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--header 'X-organization-code: <x-organization-code>' \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/recipients/onboardings/reverse-transfer/{transfer_id}"
headers = {
"X-organization-code": "<x-organization-code>",
"X-Idempotency-Key": "<x-idempotency-key>",
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-organization-code': '<x-organization-code>',
'X-Idempotency-Key': '<x-idempotency-key>',
'public-api-key': '<api-key>',
'private-secret-key': '<api-key>'
}
};
fetch('https://api-sandbox.y.uno/v1/recipients/onboardings/reverse-transfer/{transfer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ed206787-6203-45a6-b896-71249fff7ddb",
"origin_onboarding": {
"id": "c2f96b59-ae5a-470d-a94a-16bf142b11df",
"type": "ONE_STEP_ONBOARDING",
"workflow": "DIRECT",
"description": "Onboarding Description",
"status": "INACTIVE",
"response_message": null,
"callback_url": "https://merchant.example.com/webhook/onboarding",
"provider": {
"id": "STRIPE",
"connection_id": "b90fa936-92b6-4529-9c69-0ca474291af1",
"recipient_id": "acct_1SpfTBRFM5RUW372",
"redirect_url": null,
"onboarding_url": "",
"legal_entity": null,
"recipient_additional_id": null,
"balance_account_id": "",
"recipient_type": null,
"raw_notification": null,
"raw_response": null,
"response_code": null,
"response_message": null
},
"documentation": [
{
"file_name": "onboarding10.png",
"content_type": "image/png",
"content_category": "VAT_DOCUMENT",
"content": "onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf"
},
{
"file_name": "onboarding10.png",
"content_type": "image/png",
"content_category": "VAT_DOCUMENT",
"content": "onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf"
}
],
"legal_representatives": [
{
"merchant_reference": "ONB_010",
"first_name": "María",
"last_name": "González",
"email": "maria.gonzalez@example.com",
"date_of_birth": "1985-05-20",
"country": "US",
"nationality": "US",
"title": "CEO",
"publicly_exposed_person": false,
"ultimate_beneficial_owner": true,
"document": {
"document_type": "CC",
"document_number": "0987654321"
},
"phone": {
"number": "3109876543",
"country_code": "+57"
},
"address": {
"address_line_1": "Calle 26 # 13-19",
"address_line_2": "test calle",
"country": "US",
"state": "Cundinamarca",
"city": "Bogotá",
"zip_code": "03804",
"neighborhood": "Centro"
}
},
{
"merchant_reference": "ONB_010",
"first_name": "María",
"last_name": "González",
"email": "maria.gonzalez@example.com",
"date_of_birth": "1985-05-20",
"country": "US",
"nationality": "US",
"title": "CEO",
"publicly_exposed_person": false,
"ultimate_beneficial_owner": true,
"document": {
"document_type": "CC",
"document_number": "0987654321"
},
"phone": {
"number": "3109876543",
"country_code": "+57"
},
"address": {
"address_line_1": "Calle 26 # 13-19",
"address_line_2": "test calle",
"country": "US",
"state": "Cundinamarca",
"city": "Bogotá",
"zip_code": "03804",
"neighborhood": "Centro"
}
}
],
"metadata": [
{
"key": "test",
"value": "123"
}
],
"withdrawal_methods": {
"bank": {
"code": "004",
"branch": "006",
"branch_digit": "125",
"account": "000123456789",
"account_digit": "124",
"account_type": "SAVINGS",
"routing": "110000000",
"country": "US",
"currency": "USD",
"payout_schedule": "HOLD"
}
},
"terms_of_service": {
"acceptance": true,
"date": "2025-07-21T20:43:54.786342Z",
"ip": "129.21.111.11"
},
"created_at": "2026-01-15T21:33:17.374975Z",
"updated_at": "2026-01-15T21:33:44.650123Z"
},
"destination_onboarding": {
"id": "97254599-4f94-4aff-9777-733a8e0e95e1",
"type": "ONE_STEP_ONBOARDING",
"workflow": "DIRECT",
"description": "Onboarding Description",
"status": "SUCCEEDED",
"response_message": null,
"callback_url": "https://merchant.example.com/webhook/onboarding",
"provider": {
"id": "STRIPE",
"connection_id": "b90fa936-92b6-4529-9c69-0ca474291af1",
"recipient_id": "acct_1SpfStIPQ4THTT53",
"redirect_url": null,
"onboarding_url": "",
"legal_entity": null,
"recipient_additional_id": null,
"balance_account_id": "",
"recipient_type": null,
"raw_notification": null,
"raw_response": null,
"response_code": null,
"response_message": null
},
"documentation": [
{
"file_name": "onboarding10.png",
"content_type": "image/png",
"content_category": "VAT_DOCUMENT",
"content": "onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf"
},
{
"file_name": "onboarding10.png",
"content_type": "image/png",
"content_category": "VAT_DOCUMENT",
"content": "onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf"
},
{
"file_name": "onboarding10.png",
"content_type": "image/png",
"content_category": "VAT_DOCUMENT",
"content": "onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf"
},
{
"file_name": "onboarding10.png",
"content_type": "image/png",
"content_category": "VAT_DOCUMENT",
"content": "onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf"
}
],
"legal_representatives": [
{
"merchant_reference": "ONB_010",
"first_name": "María",
"last_name": "González",
"email": "maria.gonzalez@example.com",
"date_of_birth": "1985-05-20",
"country": "US",
"nationality": "US",
"title": "CEO",
"publicly_exposed_person": false,
"ultimate_beneficial_owner": true,
"document": {
"document_type": "CC",
"document_number": "0987654321"
},
"phone": {
"number": "3109876543",
"country_code": "+57"
},
"address": {
"address_line_1": "Calle 26 # 13-19",
"address_line_2": "test calle",
"country": "US",
"state": "Cundinamarca",
"city": "Bogotá",
"zip_code": "03804",
"neighborhood": "Centro"
}
},
{
"merchant_reference": "ONB_010",
"first_name": "María",
"last_name": "González",
"email": "maria.gonzalez@example.com",
"date_of_birth": "1985-05-20",
"country": "US",
"nationality": "US",
"title": "CEO",
"publicly_exposed_person": false,
"ultimate_beneficial_owner": true,
"document": {
"document_type": "CC",
"document_number": "0987654321"
},
"phone": {
"number": "3109876543",
"country_code": "+57"
},
"address": {
"address_line_1": "Calle 26 # 13-19",
"address_line_2": "test calle",
"country": "US",
"state": "Cundinamarca",
"city": "Bogotá",
"zip_code": "03804",
"neighborhood": "Centro"
}
},
{
"merchant_reference": "ONB_010",
"first_name": "María",
"last_name": "González",
"email": "maria.gonzalez@example.com",
"date_of_birth": "1985-05-20",
"country": "US",
"nationality": "US",
"title": "CEO",
"publicly_exposed_person": false,
"ultimate_beneficial_owner": true,
"document": {
"document_type": "CC",
"document_number": "0987654321"
},
"phone": {
"number": "3109876543",
"country_code": "+57"
},
"address": {
"address_line_1": "Calle 26 # 13-19",
"address_line_2": "test calle",
"country": "US",
"state": "Cundinamarca",
"city": "Bogotá",
"zip_code": "03804",
"neighborhood": "Centro"
}
},
{
"merchant_reference": "ONB_010",
"first_name": "María",
"last_name": "González",
"email": "maria.gonzalez@example.com",
"date_of_birth": "1985-05-20",
"country": "US",
"nationality": "US",
"title": "CEO",
"publicly_exposed_person": false,
"ultimate_beneficial_owner": true,
"document": {
"document_type": "CC",
"document_number": "0987654321"
},
"phone": {
"number": "3109876543",
"country_code": "+57"
},
"address": {
"address_line_1": "Calle 26 # 13-19",
"address_line_2": "test calle",
"country": "US",
"state": "Cundinamarca",
"city": "Bogotá",
"zip_code": "03804",
"neighborhood": "Centro"
}
}
],
"metadata": [
{
"key": "test",
"value": "123"
}
],
"withdrawal_methods": {
"bank": {
"code": "004",
"branch": "006",
"branch_digit": "125",
"account": "000123456789",
"account_digit": "124",
"account_type": "SAVINGS",
"routing": "110000000",
"country": "US",
"currency": "USD",
"payout_schedule": "HOLD"
}
},
"terms_of_service": {
"acceptance": true,
"date": "2025-07-21T20:43:54.786342Z",
"ip": "129.21.111.11"
},
"created_at": "2026-01-15T01:35:10.646218Z",
"updated_at": "2026-01-15T21:33:46.245564Z"
},
"created_at": "2026-01-15T21:33:46.456587Z",
"updated_at": "2026-01-15T21:33:46.456624Z"
}{
"code": "INVALID_REQUEST",
"messages": [
"Invalid request format"
]
}{
"code": "INVALID_CREDENTIALS",
"messages": [
"Invalid credentials"
]
}{
"code": "AUTHORIZATION_REQUIRED",
"messages": [
"The merchant has no authorization to use this API."
]
}Authorizations
Headers
Organization code associated to the request.
Unique identifier used in HTTP headers to ensure that a request is processed only once, even if it is retried due to network issues or timeouts.
Path Parameters
Was this page helpful?
⌘I
cURL
